<!DOCTYPE HTML>


<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
	
	
</head>

<script>
function show() {
    var x = document.getElementById("studentiCandidati");
    var y = document.getElementById("nascondiCandidati");
    var z = document.getElementById("mostraCandidati");
    
    x.style.display = "block";
    y.style.display = "block";
    z.style.display = "none";
}

function hide() {
    var x = document.getElementById("studentiCandidati");
    var y = document.getElementById("mostraCandidati");
    var z = document.getElementById("nascondiCandidati");
    
    x.style.display = "none";
    y.style.display = "block";
    z.style.display = "none";
}

</script>
	
<body style="background-color: #E3E2E6">
	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link"
					sec:authorize="!hasRole('ROLE_STUDENTE')" href="/offerte/full-list">Tutte
						le offerte</a></li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
				<input class="form-control mr-sm-2" type="text" placeholder="Search"
					aria-label="Search">
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			</form>
		</div>
	</nav>

	<div class="container">

		<br> <br> <br> <br>

		<main role="main" class="container">
			<form action="#" th:object="${offerta}">
				<div class="my-3 p-3 bg-white rounded box-shadow">
					<h2
						class="border-bottom text-muted text-center border-gray pb-2 mb-0">
						Info - Offerta</h2>
					<br>
					<div class="media pt-3">

						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Titolo</strong> <input
								type="hidden" th:field="*{titolo}"
								class="form-control mb-4 col-4"> <span
								th:text="*{titolo}"></span>
						</p>
					</div>
					<div class="media pt-3">
						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Descrizione</strong> <input
								type="hidden" th:field="*{descr}"
								class="form-control mb-4 col-4"> <span
								th:text="*{descr}"></span>
						</p>
					</div>
					<div class="media pt-3">
						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Settore</strong> <input
								type="hidden" th:field="*{settore}"
								class="form-control mb-4 col-4"> <span
								th:text="*{settore}"></span>
						</p>
					</div>
					<div th:if="${proprietario}" class="media pt-3">
						<p
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Studenti
								candidati</strong> <span th:text="${numeroCandidati}"></span>
						</p>
					</div>
					<input type="hidden" th:field="*{stageOffer.id}"
						class="form-control mb-4 col-4">
					<div class="media pt-3">
						<p th:if="${noStage == 'noStage'}"
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Tipologia offerta</strong>
							<span>Lavoro</span>
						</p>
					</div>
					<div class="media pt-3">
						<p th:if="${noStage != 'noStage'}"
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Tipologia offerta</strong>
							<input type="hidden" th:field="*{stageOffer.tipo}"
								class="form-control mb-4 col-4"> <span>Stage </span><span
								th:text="*{stageOffer.tipo}"></span>
						</p>
					</div>
					<div class="media pt-3">
						<p th:if="${noStage != 'noStage'}"
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Durata</strong> <input
								type="hidden" th:field="*{stageOffer.durata}"
								class="form-control mb-4 col-4"> <span
								th:text="*{stageOffer.durata}"></span><span> mesi</span>
						</p>
					</div>
					<div class="media pt-3">
						<p th:if="${noStage != 'noStage'}"
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Data d'inizio</strong> <input
								type="hidden" th:field="*{stageOffer.datainizio}"
								class="form-control mb-4 col-4"> <span
								th:text="*{stageOffer.datainizio}"></span>
						</p>
					</div>
					
					<div th:if="${noTutorUni}" sec:authorize="hasRole('ROLE_AZIENDA')" class="media pt-3">
						<p th:if="${noStage != 'noStage' && proprietario}"
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Tutor Aziendale</strong> 
							<span th:each="tutor: ${tutorAz}">
								<span th:text="${tutor.nome}"></span>&nbsp;<span th:text="${tutor.cognome}"></span><br>
							</span>
							<span th:if="${!noTutorAz}">Nessun tutor assegnato</span>
								
					</div>
					
					<div th:if="${noTutorAz}" sec:authorize="hasRole('ROLE_UNIVERSITA')" class="media pt-3">
						<p th:if="${noStage != 'noStage' && proprietario}"
							class="media-body pb-3 mb-0 large lh-125 border-bottom border-gray">
							<strong class="d-block text-gray-dark">Tutor Universitario</strong> 
							<span th:each="tutor: ${tutorUni}">
								<span th:text="${tutor.nome}"></span>&nbsp;<span th:text="${tutor.cognome}"></span><br>
							</span>
							<span th:if="${noTutorUni}">Nessun tutor assegnato</span>	
					</div>
					
					<div class="d-flex justify-content-center media pt-3">
						<a th:if="${!studenteCandidato}"
							sec:authorize="hasRole('ROLE_STUDENTE')"
							th:href="@{/offerte/candidati(idOfferta=*{id}, username=${#authentication.name})}"
							class="btn btn-success btn-sm col-2">Candidati</a> <a
							th:if="${studenteCandidato}"
							sec:authorize="hasRole('ROLE_STUDENTE')"
							th:href="@{/offerte/disdire(idOfferta=*{id}, username=${#authentication.name})}"
							class="btn btn-danger btn-sm col-2">Disdici</a> <input
							type="hidden" th:field="*{valido}"
							class="form-control mb-4 col-4"> <a th:if="*{!valido}"
							sec:authorize="hasRole('ROLE_UNIVERSITA')"
							th:href="@{/offerte/valida(idOfferta=*{id}, username=${#authentication.name})}"
							class="btn btn-success btn-sm col-2">Valida</a>&nbsp; <a
							th:if="*{valido}" sec:authorize="hasRole('ROLE_UNIVERSITA')"
							th:href="@{/offerte/invalida(idOfferta=*{id}, username=${#authentication.name})}"
							class="btn btn-danger btn-sm col-2">Invalida</a>&nbsp;
							<a th:if="${offerta.valido && proprietario && noStage != 'noStage' && noTutorAz}"
							sec:authorize="hasRole('ROLE_UNIVERSITA')"
							th:href="@{/offerte/showTutorForm(idOfferta=*{id}, username=${#authentication.name})}"
							class="btn btn-success btn-sm col-2">Assegna Tutor</a>
							<a th:if="${offerta.valido && proprietario && noStage != 'noStage' && noTutorUni}"
							sec:authorize="hasRole('ROLE_AZIENDA')"
							th:href="@{/offerte/showTutorForm(idOfferta=*{id}, username=${#authentication.name})}"
							class="btn btn-success btn-sm col-2">Assegna Tutor</a>&nbsp;<a
							th:if="${proprietario && numeroCandidati > 0}"
							id="mostraCandidati"
							onclick="show()"
							sec:authorize="hasRole('ROLE_AZIENDA')" 
							class="text-white btn btn-primary btn-sm col-2">Mostra Candidati</a>
							<a style="display: none"
							id="nascondiCandidati"
							th:if="${proprietario && numeroCandidati > 0}"
							onclick="hide()"
							sec:authorize="hasRole('ROLE_AZIENDA')" 
							class="text-white btn btn-secondary btn-sm col-2">Nascondi Candidati</a>

					</div>
					<br><br>

					<div sec:authorize="hasRole('ROLE_AZIENDA')" style="display: none" id="studentiCandidati" class="container">

						<table class="table table-bordered table-striped">
							<thead class="thead-dark">
								<tr>
									<th>Nome</th>
									<th>Cognome</th>
									<th>Facolta</th>
									<th>Universita</th>
									<th>CV</th>
								</tr>
							</thead>

							<tbody>
								<tr th:if="${studentiCandidati != null}" th:each="temp : ${studentiCandidati}">
									<td th:text="${temp.nome}" />
									<td th:text="${temp.cognome}" />
									<td th:text="${temp.facolta}" />
									<td th:text="${temp.uniStud.nome}" />
									<td th:text="${temp.cv}" />
								</tr>
							</tbody>
						</table>
					</div>
					<a sec:authorize="!hasRole('ROLE_STUDENTE')" href="/offerte/full-list">Indietro</a>
					<a sec:authorize="hasRole('ROLE_STUDENTE')" th:href="@{/offerte/list(username=${#authentication.name})}">Indietro</a>


				</div>
			</form>
		</main>
	</div>
</body>
</html>